| #!/bin/sh |
| # |
| # Starts the SMS Server Tools 3 |
| # |
| |
| NAME=smsd |
| DAEMON=/usr/bin/$NAME |
| PIDFILE=/var/run/$NAME.pid |
| SPOOL=/var/spool/sms |
| |
| start() |
| { |
| printf "Starting $NAME: " |
| mkdir -p $SPOOL/outgoing |
| mkdir -p $SPOOL/incoming |
| mkdir -p $SPOOL/checked |
| start-stop-daemon -S -q -p $PIDFILE --exec $DAEMON -- -c /etc/smsd.conf && echo "OK" || echo "Failed" |
| } |
| |
| stop() |
| { |
| printf "Stopping $NAME: " |
| start-stop-daemon -K -q -p $PIDFILE && echo "OK" || echo "Failed" |
| rm -f $PIDFILE |
| } |
| |
| case "$1" in |
| start) |
| start |
| ;; |
| stop) |
| stop |
| ;; |
| restart|reload) |
| stop |
| start |
| ;; |
| *) |
| echo "Usage: $0 {start|stop|restart}" |
| exit 1 |
| esac |
| |
| exit $? |